Search geographic entities
curl --request GET \
--url https://api.dev.impactu.colav.co/search/geo/{geo_type}import requests
url = "https://api.dev.impactu.colav.co/search/geo/{geo_type}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.dev.impactu.colav.co/search/geo/{geo_type}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dev.impactu.colav.co/search/geo/{geo_type}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dev.impactu.colav.co/search/geo/{geo_type}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dev.impactu.colav.co/search/geo/{geo_type}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dev.impactu.colav.co/search/geo/{geo_type}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"authors_count": 0,
"citations_count": [{"count": 0, "source": "openalex"}],
"country": "Colombia",
"country_code": "CO",
"external_ids": [{"id": "20011", "source": "dane"}],
"groups_count": 5,
"id": "20011",
"institutions_count": 1,
"latitude": 8.306811,
"longitude": -73.614027,
"name": "Aguachica",
"products_count": 265,
"state": {"id": "20", "name": "Cesar"},
"type": "city"
},
{
"authors_count": 0,
"citations_count": [],
"country": "Colombia",
"country_code": "CO",
"external_ids": [{"id": "15022", "source": "dane"}],
"groups_count": 1,
"id": "15022",
"institutions_count": 2,
"latitude": 4.970857,
"longitude": -73.378933,
"name": "Almeida",
"products_count": 0,
"state": {"id": "15", "name": "Boyacá"},
"type": "city"
}
],
"meta": {
"count": 135,
"cursor": {"next": "https://api.dev.impactu.colav.co/search/geo/city?max=2&page=2", "previous": null},
"db_response_time_ms": 25,
"page": 1,
"size": 2
}
}
{
"data": [
{
"authors_count": 221,
"citations_count": [{"count": 9907, "source": "openalex"}],
"cities_count": 1,
"country": "Colombia",
"country_code": "CO",
"external_ids": [{"id": "91", "source": "dane"}],
"groups_count": 552,
"id": "91",
"institutions_count": 3,
"name": "Amazonas",
"products_count": 571,
"type": "state"
},
{
"authors_count": 43836,
"citations_count": [{"count": 1172650, "source": "openalex"}],
"cities_count": 22,
"country": "Colombia",
"country_code": "CO",
"external_ids": [{"id": "05", "source": "dane"}],
"groups_count": 1117,
"id": "05",
"institutions_count": 178,
"name": "Antioquia",
"products_count": 295187,
"type": "state"
}
],
"meta": {
"count": 31,
"cursor": {"next": "https://api.dev.impactu.colav.co/search/geo/state?max=2&page=2", "previous": null},
"db_response_time_ms": 25,
"page": 1,
"size": 2
}
}
{"error": "Invalid geo_type. Allowed values: city, state"}
Search
Search geographic entities
Paginated search of cities and departments of Colombia.
GET
/
search
/
geo
/
{geo_type}
Search geographic entities
curl --request GET \
--url https://api.dev.impactu.colav.co/search/geo/{geo_type}import requests
url = "https://api.dev.impactu.colav.co/search/geo/{geo_type}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.dev.impactu.colav.co/search/geo/{geo_type}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dev.impactu.colav.co/search/geo/{geo_type}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dev.impactu.colav.co/search/geo/{geo_type}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dev.impactu.colav.co/search/geo/{geo_type}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dev.impactu.colav.co/search/geo/{geo_type}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"authors_count": 0,
"citations_count": [{"count": 0, "source": "openalex"}],
"country": "Colombia",
"country_code": "CO",
"external_ids": [{"id": "20011", "source": "dane"}],
"groups_count": 5,
"id": "20011",
"institutions_count": 1,
"latitude": 8.306811,
"longitude": -73.614027,
"name": "Aguachica",
"products_count": 265,
"state": {"id": "20", "name": "Cesar"},
"type": "city"
},
{
"authors_count": 0,
"citations_count": [],
"country": "Colombia",
"country_code": "CO",
"external_ids": [{"id": "15022", "source": "dane"}],
"groups_count": 1,
"id": "15022",
"institutions_count": 2,
"latitude": 4.970857,
"longitude": -73.378933,
"name": "Almeida",
"products_count": 0,
"state": {"id": "15", "name": "Boyacá"},
"type": "city"
}
],
"meta": {
"count": 135,
"cursor": {"next": "https://api.dev.impactu.colav.co/search/geo/city?max=2&page=2", "previous": null},
"db_response_time_ms": 25,
"page": 1,
"size": 2
}
}
{
"data": [
{
"authors_count": 221,
"citations_count": [{"count": 9907, "source": "openalex"}],
"cities_count": 1,
"country": "Colombia",
"country_code": "CO",
"external_ids": [{"id": "91", "source": "dane"}],
"groups_count": 552,
"id": "91",
"institutions_count": 3,
"name": "Amazonas",
"products_count": 571,
"type": "state"
},
{
"authors_count": 43836,
"citations_count": [{"count": 1172650, "source": "openalex"}],
"cities_count": 22,
"country": "Colombia",
"country_code": "CO",
"external_ids": [{"id": "05", "source": "dane"}],
"groups_count": 1117,
"id": "05",
"institutions_count": 178,
"name": "Antioquia",
"products_count": 295187,
"type": "state"
}
],
"meta": {
"count": 31,
"cursor": {"next": "https://api.dev.impactu.colav.co/search/geo/state?max=2&page=2", "previous": null},
"db_response_time_ms": 25,
"page": 1,
"size": 2
}
}
{"error": "Invalid geo_type. Allowed values: city, state"}
Path parameters
string
required
Geographic entity type:
city (cities) or state (departments).
Any other value returns a 400 error.Query parameters
string
Search text (name of the city or department).
integer
default:"10"
Results per page (1 to 250).
integer
default:"1"
Page number (minimum 1).
string
default:"citations_desc"
Ascending or descending sort criterion, for example
citations_desc,
products_asc or alphabetical_desc.string
Sort with the format
field_direction, where the direction is asc or
desc. For geographic entities, alphabetical sorts by name. Example:
alphabetical_asc.This endpoint has no filters.
Response
The structure changes withgeo_type. The common fields are:
array
List of geographic entities.
Show properties of each entity
Show properties of each entity
string
Identifier (DANE code).
string
Name.
string
city or state.string
Country.
string
Country code (for example,
CO).object[]
External identifiers (
id, source), such as the DANE code.integer
Number of authors.
integer
Number of research groups.
integer
Number of institutions.
integer
Number of products.
object[]
Citations by source (
count, source).object
Only with
city: the department it belongs to (id, name).number
Only with
city: latitude.number
Only with
city: longitude.integer
Only with
state: number of cities.object
{
"data": [
{
"authors_count": 0,
"citations_count": [{"count": 0, "source": "openalex"}],
"country": "Colombia",
"country_code": "CO",
"external_ids": [{"id": "20011", "source": "dane"}],
"groups_count": 5,
"id": "20011",
"institutions_count": 1,
"latitude": 8.306811,
"longitude": -73.614027,
"name": "Aguachica",
"products_count": 265,
"state": {"id": "20", "name": "Cesar"},
"type": "city"
},
{
"authors_count": 0,
"citations_count": [],
"country": "Colombia",
"country_code": "CO",
"external_ids": [{"id": "15022", "source": "dane"}],
"groups_count": 1,
"id": "15022",
"institutions_count": 2,
"latitude": 4.970857,
"longitude": -73.378933,
"name": "Almeida",
"products_count": 0,
"state": {"id": "15", "name": "Boyacá"},
"type": "city"
}
],
"meta": {
"count": 135,
"cursor": {"next": "https://api.dev.impactu.colav.co/search/geo/city?max=2&page=2", "previous": null},
"db_response_time_ms": 25,
"page": 1,
"size": 2
}
}
{
"data": [
{
"authors_count": 221,
"citations_count": [{"count": 9907, "source": "openalex"}],
"cities_count": 1,
"country": "Colombia",
"country_code": "CO",
"external_ids": [{"id": "91", "source": "dane"}],
"groups_count": 552,
"id": "91",
"institutions_count": 3,
"name": "Amazonas",
"products_count": 571,
"type": "state"
},
{
"authors_count": 43836,
"citations_count": [{"count": 1172650, "source": "openalex"}],
"cities_count": 22,
"country": "Colombia",
"country_code": "CO",
"external_ids": [{"id": "05", "source": "dane"}],
"groups_count": 1117,
"id": "05",
"institutions_count": 178,
"name": "Antioquia",
"products_count": 295187,
"type": "state"
}
],
"meta": {
"count": 31,
"cursor": {"next": "https://api.dev.impactu.colav.co/search/geo/state?max=2&page=2", "previous": null},
"db_response_time_ms": 25,
"page": 1,
"size": 2
}
}
{"error": "Invalid geo_type. Allowed values: city, state"}